<div class="col-lg-12 col-md-12 col-sm-12 onboarding-content">
  <div class="col-lg-12 col-md-12 col-sm-12 onboarding-nav-option">
    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }" (click)="isEditMode = false;resetForm(onboardingFormCreateUser);">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New User</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }" (click)="isEditMode = true;getGetMembers();">
        <span class="material-icons">domain</span><span class="hidden-xs"> Select Existing User</span></a>
    </div>
  </div>
  <form #onboardingFormCreateUser="ngForm" class="onboarding-form">
    <div class="row">
      <!-- main row -->
      <div class="col-lg-7 col-md-12 col-sm-12 col-xs-12">
        <div class="row">
          <!-- first row -->
          <!--<div class="col-lg-12 col-md-12 col-sm-12">-->
          <div class="col-lg-12">
            <div class="row">
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left  org-img-holder">
                <label class="control-label">User Details</label>
                <div class="col-lg-12 col-md-12 col-xs-12 thumbnail">
                  <div class="col-lg-12 no-padding form-group">
                    <img class="img img-responsive" [src]="user.logo" alt="" *ngIf="user.logo" />
                    <svg class="svg-icon" *ngIf="!user.logo">
                      <use xlink:href="assets/images/userdefault.svg#Vector_Smart_Object"></use>
                    </svg>
                    <span class="material-icons upload-icon" (click)="file.open()">camera_alt</span>
                    <app-file-upload #file (file)="changeImage($event)"></app-file-upload>
                  </div>
                  <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 no-padding">

                    <label class="control-label required-lbl">Display Name</label>
                    <span *ngIf="!isEditMode">
                      <input type="text" class="form-control input-sm" name="displayName" #displayName="ngModel" [(ngModel)]="user.displayName" minlength="4"
                        maxlength="64" required pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z0-9 ]*">
                                              <div *ngIf="displayName.errors && (displayName.dirty || displayName.touched)" class="text-danger">
                        <div [hidden]="!displayName.errors.required">
                          Display Name is required.
                        </div>
                        <div [hidden]="!displayName.errors.minlength">
                          Display Name must be at least 4 characters long.
                        </div>
                        <div [hidden]="!displayName.errors.maxlength">
                          Display Name cannot be more than 64 characters long.
                        </div>
                        <div [hidden]="!displayName.errors.pattern">
                          Please enter valid display name
                        </div>
                      </div>
                      </span>
                    <span *ngIf="isEditMode">
                        <select class="form-control input-sm" [(ngModel)]="userIndex"  name="displayName"  (change)="setUserSelected(userIndex)">
                          <option selected disabled>Select User</option>
                          <option *ngFor="let user of availableUsers; let i = index;" [value]="i">{{user.displayName}}</option>
                        </select>
                      </span>



                  </div>
                  <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 status-icon-group">
                    <div class="control-label">Active</div>
                    <label class="switch">
                    <input type="checkbox" name="userstatus"  [(ngModel)]="user.status">
                    <div class="slider round"></div>
                  </label>
                  </div>
                </div>
              </div>

              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">
                <div class="form-group">
                  <label class="control-label required-lbl">First Name</label>
                  <input type="text" class="form-control" name="givenName" #givenName="ngModel" [(ngModel)]="user.givenName" required minlength="2"
                    maxlength="64" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">
                  <div *ngIf="givenName.errors && (givenName.dirty || givenName.touched)" class="text-danger">
                    <div [hidden]="!givenName.errors.required">
                      Given Name is required.
                    </div>
                    <div [hidden]="!givenName.errors.minlength">
                      Given Name must be at least 2 characters long.
                    </div>
                    <div [hidden]="!givenName.errors.maxlength">
                      Given Name cannot be more than 64 characters long.
                    </div>
                    <div [hidden]="!givenName.errors.pattern">
                      Please enter valid given name
                    </div>
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label required-lbl">Last Name</label>
                  <input type="text" class="form-control" [(ngModel)]="user.surname" name="surname" #surname="ngModel" required minlength="2"
                    maxlength="64" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">
                  <div *ngIf="surname.errors && (surname.dirty || surname.touched)" class="text-danger">
                    <div [hidden]="!surname.errors.required">
                      Surname is required.
                    </div>
                    <div [hidden]="!surname.errors.minlength">
                      Surname must be at least 2 characters long.
                    </div>
                    <div [hidden]="!surname.errors.maxlength">
                      Surname cannot be more than 64 characters long.
                    </div>
                    <div [hidden]="!surname.errors.pattern">
                      Please enter valid surname
                    </div>
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label required-lbl">Job Title</label>
                  <input type="text" class="form-control" [(ngModel)]="user.jobTitle" name="jobTitle" #jobTitle="ngModel" required minlength="4"
                    maxlength="64" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">
                  <div *ngIf="jobTitle.errors && (jobTitle.dirty || jobTitle.touched)" class="text-danger">
                    <div [hidden]="!jobTitle.errors.required">
                      Job Title is required.
                    </div>
                    <div [hidden]="!jobTitle.errors.minlength">
                      Job Title must be at least 4 characters long.
                    </div>
                    <div [hidden]="!jobTitle.errors.maxlength">
                      Job Title cannot be more than 64 characters long.
                    </div>
                    <div [hidden]="!jobTitle.errors.pattern">
                      Please enter valid Job title.
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>
        <!-- first row -->
        <div class="row">
          <!-- second row -->
          <!--<div class="col-lg-12 col-md-12 col-sm-12">-->
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">

            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl col-md-12 col-lg-12 col-xs-12 col-sm-12 plr-0">Email address</label>
              <div class="col-lg-5 col-md-5 col-sm-5 plr-0">              
              <input type="email" class="form-control" #emailId="ngModel" [(ngModel)]="user.emailId" name="emailId" required minlength="4" maxlength="64" pattern="[a-z0-9._%+-]+$"><span class="form-control-feedback email-control"><span class="material-icons">mail_outline</span></span>
                </div>
                <div class="col-lg-7 col-md-7 col-sm-7 plr-0 email-domain">@surgecloud.bluesurge.com</div>
                <div class="clearfix"></div>
              
              <div *ngIf="emailId.errors && (emailId.dirty || emailId.touched)" class="text-danger">
                <div [hidden]="!emailId.errors.required">
                  Email Address is required.
                </div>
                <div [hidden]="!emailId.errors.minlength">
                  Email Address must be at least 4 characters long.
                </div>
                <div [hidden]="!emailId.errors.maxlength">
                  Email Address cannot be more than 64 characters long.
                </div>
                <div [hidden]="!emailId.errors.pattern && !emailId.errors.minlength">
                  Please enter valid email address.
                </div>
              </div>
            </div>
            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label required-lbl">Phone Number</label>
              <input type="text" class="form-control" [(ngModel)]="user.phoneNumber" name="phoneNumber" required #phoneNumber="ngModel"
                minlength="6" maxlength="20" pattern="\d{1,20}">
              <span class="form-control-feedback"><span class="material-icons">call</span></span>

              <div *ngIf="phoneNumber.errors && (phoneNumber.dirty || phoneNumber.touched)" class="text-danger">
                <div [hidden]="!phoneNumber.errors.required">
                  Phone Number is required.
                </div>
                <div [hidden]="!phoneNumber.errors.minlength">
                  Phone Number must be at least 6 characters long.
                </div>
                <div [hidden]="!phoneNumber.errors.maxlength">
                  Phone Number cannot be more than 20 characters long.
                </div>
                <div [hidden]="!phoneNumber.errors.pattern">
                  Please enter valid Phone Number.
                </div>
              </div>
            </div>

            <div class="form-group" *ngIf="drivingDetails">
              <label class="control-label required-lbl">Drivers License Number</label>
              <input type="text" class="form-control" [(ngModel)]="user.drivingLicenseNumber" name="drivingLicenseNumber" #drivingLicenseNumber="ngModel"
                required minlength="4" maxlength="64" pattern="^[0-9a-zA-Z- ]+$">
              <div *ngIf="drivingLicenseNumber.errors && (drivingLicenseNumber.dirty || drivingLicenseNumber.touched)" class="text-danger">
                <div [hidden]="!drivingLicenseNumber.errors.required">
                  Driving Licence Number is required.
                </div>
                <div [hidden]="!drivingLicenseNumber.errors.minlength">
                  Driving Licence Number must be at least 4 characters long.
                </div>
                <div [hidden]="!drivingLicenseNumber.errors.maxlength">
                  Driving Licence Number cannot be more than 64 characters long.
                </div>
                <div [hidden]="!drivingLicenseNumber.errors.pattern">
                  Please enter valid Driving Licence Number.
                </div>
              </div>
            </div>

            <div class="form-group" *ngIf="drivingDetails">
              <label class="control-label required-lbl">Unique Identifier</label>
              <input type="text" class="form-control" [(ngModel)]="user.driverId" name="driverId" #driverId="ngModel" required>
              <div *ngIf="driverId.errors && (driverId.dirty || driverId.touched)" class="text-danger">
                <div [hidden]="!driverId.errors.required">
                  Unique Identifier is required.
                </div>
                <div [hidden]="!driverId.errors.minlength">
                  Unique Identifier must be at least 4 characters long.
                </div>
                <div [hidden]="!driverId.errors.maxlength">
                  Unique Identifier cannot be more than 64 characters long.
                </div>
              </div>
            </div>

            <div class="form-group">
              <div class="checkbox">
                <label class="control-label">
               <input class="styled-checkbox" type="checkbox" name="driverstatus" [(ngModel)]="drivingDetails" (change)="clearDriving(drivingDetails)"> Drivers License Details Available
            </label>
              </div>
            </div>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">

            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label" [ngClass]="{'required-lbl': !isEditMode }">Password</label>
              <input type="password" class="form-control" [(ngModel)]="user.password" name="password" #password="ngModel" [required]="!isEditMode"
                pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*[_\W!~<>?/])([a-zA-Z0-9_\W!~<>?/]){8,32}">
              <span class="form-control-feedback"><span class="material-icons">lock_outline</span></span>
              <div *ngIf="password.errors && (password.dirty || password.touched)" class="text-danger">
                <div [hidden]="!password.errors.required">
                  Password is required.
                </div>
                <div [hidden]="!password.errors.minlength">
                  Password must be at least 8 characters long.
                </div>
                <div [hidden]="!password.errors.maxlength">
                  Password cannot be more than 12 characters long.
                </div>
                <div [hidden]="!password.errors.pattern">
                  Need to be at least 8 characters long, with at least 3 of the following: uppercase letters, lowercase letters, numbers, and symbols
                </div>
              </div>
            </div>
            <div class="form-group has-feedback has-feedback-left">
              <!--<div class="input-group input-group-unstyled">-->
              <label class="control-label required-lbl">Role Group</label>

              <select class="form-control" [(ngModel)]="user.roleGroup" name="roleGroupModel" #roleGroupModel="ngModel" required>
                <option value="" selected>Select Role Group</option>
                <option *ngFor="let role of roleGroup" [value]="role.Id">{{role.DisplayName}}</option>
              </select>
              <span class="form-control-feedback"><span class="material-icons">people_outline</span></span>
              <span>

            <span class="material-icons add-icon" (click)="createRoleGroup()">add_circle</span>
              </span>
              <!--</div>-->
              <div *ngIf="roleGroupModel.errors && (roleGroupModel.dirty || roleGroupModel.touched)" class="text-danger">
                <div [hidden]="!roleGroupModel.errors.required">
                  Role Group is required.
                </div>
              </div>
            </div>

            <div class="form-group" *ngIf="drivingDetails">
              <label class="control-label required-lbl">Expiration Date</label>
              <my-date-picker name="mydate" [options]="myDatePickerOptions" [(ngModel)]="modelDate" (dateChanged)="onDateChanged($event)"
                required></my-date-picker>
            </div>


          </div>
          <!--</div>-->
        </div>
        <!-- second row -->

      </div>


      <div class="col-lg-5 col-md-5 col-sm-5 ">
        <div class="onboarding-instruction thumbnail hidden-xs">
          <h3>Create User</h3>
          <p>Create New User: To create a new user for an existing organization or a new organization, please make sure the
            "Create New User" is selected if not highlighted in green. By default "Create New User" button is selected. Enter
            the Display Name, Given Name, Surname, Job Title, Password, Email Address and Phone Number. You can select a
            photo to show the user's profile photo. You can either select an existing role group or add a new role group
            by clicking + button. If you click + button, it will open "Create Role Groups" page.</p>
          <p>Select Existing User: If you want to change values of an existing user or change the Role Group of an existing
            User, please click "Select Existing User" button. You can select an existing user by selecting the display name
            from the Display Name dropdown. If you don't see the user, click "Create Nwe User" button and create the User.
            Selecting an existing user, pre-populates the values. You can change any value of the user and click Continue
            button. If you don't want to change the password, leave the password field as empty. </p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>
        </div>
        <div class="row">
          <div class="col-lg-12 col-sm-12 col-md-12 text-right form-group">
            <button class="btn btn-tab" type="button" (click)="cancel()">Cancel</button>
            <button class="btn btn-tab" type="button" (click)="saveUser(onboardingFormCreateUser)" [disabled]="onboardingFormCreateUser.invalid">Continue</button>
          </div>
        </div>
      </div>
    </div>
    <!-- main row -->

  </form>
</div>
